<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Photographer
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> prefix="og: http://ogp.me/ns#" xmlns="http://www.w3.org/1999/html">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
$prefix = 'photographer_';

if ( get_theme_mod( $prefix . 'enable_loader' ) == '1' ): ?>
	<?php $bg = get_theme_mod( $prefix . 'loader_bg', '#000000' ); ?>
	<div class="site-loader"<?php echo( $bg != '#000000' ? ' style="background-color:' . sanitize_hex_color( $bg ) . ';"' : '' ); ?>></div>

<?php endif; ?>
<?php
$prefix       = 'photographer_';
$header_style = get_theme_mod( $prefix . 'header_layout', 'header-3' );
?>

<?php do_action( 'photographer_wrapper_start' ); ?>

<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'photographer' ); ?></a>

<!-- Mobile Navigation -->
<section class="mobile-navigation">
	<button class="uk-button" data-uk-offcanvas="{target:'#open-nav-menu'}"><span class="typcn typcn-th-menu"></span></button>

	<div id="open-nav-menu" class="uk-offcanvas">
		<div class="uk-offcanvas-bar">
			<?php
			wp_nav_menu( array(
				'theme_location'  => 'mobile',
				'container_class' => false,
				'menu_class'      => 'uk-nav uk-nav-offcanvas',
				'menu_id'         => 'mobile-nav'
			) );
			?>
		</div>
	</div>
</section>

<header id="masthead" class="site-header padd-tb-20" role="banner">

	<?php get_template_part( PHOTOGRAPHER_LAYOUT . 'headers/' . $header_style ); ?>

</header><!-- #masthead -->
<?php if ( get_header_image() != '' && is_front_page() ): ?>
	<section id="photographer-header-image">
		<?php echo photographer_get_header_image(); ?>
		<div class="photographer-slide-border">
		<!-- Customizer text -->
			<div class="photographer-slide-inner">
				<h2 class="photographer-slide-title">
				<?php echo photographer_get_header_text(); ?>
				</h2>
			</div>

		</div>
	</section>
<?php endif; ?>

<?php do_action( 'photographer_content_starts' ); ?>

