<?php
/*
 * ### General Settings for the customizer area
 *  ## Loader Setting
 *  ## Enable OG tags
 *  ## Enable Twitter Cards
 */
$prefix = 'photographer_';

$wp_customize->add_section(
	$prefix . 'general_settings',
	array(
		'title'       => __( 'General Settings', 'photographer' ),
		'description' => __( 'Some general settings.', 'photographer' ),
		'priority'    => 6,
	)
);

/*----------------
 # Enable Loader
------------------*/
$wp_customize->add_setting(
	$prefix . 'enable_loader',
	array(
		'default'           => '1',
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	$prefix . 'enable_loader',
	array(
		'type'     => 'radio',
		'label'    => __( 'Enable the loader.', 'photographer' ),
		'section'  => $prefix . 'general_settings',
		'settings' => $prefix . 'enable_loader',
		'choices'  => array(
			'0' => __( 'No', 'photographer' ),
			'1' => __( 'Yes', 'photographer' ),
		)
	)
);

/*-------------------
 # Loader's bg color
*------------------*/
$wp_customize->add_setting(
	$prefix . 'loader_bg',
	array(
		'default'           => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		$prefix . 'loader_bg',
		array(
			'label'    => __( 'The background color of the loader', 'photographer' ),
			'section'  => $prefix . 'general_settings',
			'settings' => $prefix . 'loader_bg',
		)
	)
);

/*----------------
 # Enable Loader
------------------*/
$wp_customize->add_setting(
	$prefix . 'header-image-text',
	array(
		'default'           => __( '', 'photographer' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	$prefix . 'header-image-text',
	array(
		'label'    => __( 'Please write text for the header image', 'photographer' ),
		'section'  => $prefix . 'general_settings',
		'settings' => $prefix . 'header-image-text',
	)
);