<?php
/*
 * ### Customizer Settings for the header area.
 *  ## Header Layout
 *  ## Logo
 */
$prefix = 'photographer_';

$wp_customize->add_section(
   $prefix.'header_settings',
    array(
        'title' => __('Header Settings', 'photographer'),
        'description' => __('Settings for the header section.', 'photographer'),
        'priority' => 5,
    )
);

/*----------------
 # Header Layout
------------------*/
$wp_customize->add_setting(
    $prefix.'header_layout',
    array(
        'default' => 'header-3',
        'sanitize_callback'=>'sanitize_text_field', 
        'transport'   => 'refresh'
    )
);

$wp_customize->add_control(
    $prefix.'header_layout',
    array(
        'type' => 'select',
        'label' => __('Header Layout type','photographer'),
        'section' =>  $prefix.'header_settings',
        'settings' =>  $prefix.'header_layout',
        'choices' => array(
            'header-3' => __('Header with 2 menus', 'photographer'),
        )
    )
);
/*-------------------
 # Header Layout Ends
---------------------*/

/*------------------
 # Logo
-------------------*/
$wp_customize->add_setting(
    $prefix.'logo',
    array(
        'default' => '',
        'sanitize_callback'=>'esc_url_raw',
        'transport'   => 'refresh'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        $prefix.'logo',
        array(
            'label' => __('Add your logo ', 'photographer'),
            'section' =>  $prefix.'header_settings',
            'settings' =>  $prefix.'logo',
        )
    )
);
/*------------------
 # Logo Ends
-------------------*/