<?php
$prefix = 'photographer_';

$wp_customize->add_section(
	$prefix . 'special_item_settings',
	array(
		'title'       => __( 'Special Item settings (frontpage)', 'photographer' ),
		'description' => __( 'Settings for the spexial item section.', 'photographer' ),
		'priority'    => 8
	)
);
/*
 * Special Item small image
 */
$wp_customize->add_setting(
	$prefix.'special-item-small',
	array(
		'default' => '',
		'sanitize_callback'=>'esc_url_raw',
		'transport'   => 'refresh'
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		$prefix.'special-item-small',
		array(
			'label' => __('Add a small image (120x120) ', 'photographer'),
			'section' =>  $prefix.'special_item_settings',
			'settings' =>  $prefix.'special-item-small',
		)
	)
);

/*
 * Special Item large image
 */
$wp_customize->add_setting(
	$prefix.'special-item-large',
	array(
		'default' => '',
		'sanitize_callback'=>'esc_url_raw',
		'transport'   => 'refresh'
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		$prefix.'special-item-large',
		array(
			'label' => __('Add a large image (700x450) ', 'photographer'),
			'section' =>  $prefix.'special_item_settings',
			'settings' =>  $prefix.'special-item-large',
		)
	)
);

/*
 * Special Item title
 */
$wp_customize->add_setting(
	$prefix . 'special-item-title',
	array(
		'default'           => __( '', 'photographer' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	$prefix . 'special-item-title',
	array(
		'label'    => __( 'Special Image title', 'photographer' ),
		'section'  => $prefix . 'special_item_settings',
		'settings' => $prefix . 'special-item-title',
		'type'=>'text'
	)
);
/*
 * Special Item text
 */
$wp_customize->add_setting(
	$prefix . 'special-item-description',
	array(
		'default'           => __( '', 'photographer' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	$prefix . 'special-image-description',
	array(
		'label'    => __( 'Special Image short description', 'photographer' ),
		'section'  => $prefix . 'special_item_settings',
		'settings' => $prefix . 'special-item-description',
		'type'=>'textarea'
	)
);
/*
 * Special Item Link
 */
$wp_customize->add_setting(
	$prefix . 'special-item-link',
	array(
		'default'           => __( '', 'photographer' ),
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	$prefix . 'special-item-link',
	array(
		'label'    => __( 'Special Item link ', 'photographer' ),
		'section'  => $prefix . 'special_item_settings',
		'settings' => $prefix . 'special-item-link',
		'type'=>'text'
	)
);
