<section class="uk-width-1-1">
	<h1 class="single-page-title uk-text-center">
		<?php if ( is_tax() ):
			$term         = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
			$current_text = $term->name;
		elseif ( is_category() ):
			$current_text = single_cat_title( "", false );

		elseif ( is_tag() ):
			$current_text = single_tag_title( '', false );

		elseif ( is_search() ) :
			$current_text = __( 'Search Results', 'photographer' );
		elseif ( is_archive() ):
			if ( is_year() ):
				$current_text = __( 'Archive for: ', 'photographer' ) . get_the_time( 'Y' );
			elseif ( is_month() ):
				$current_text = __( 'Archive for ', 'photographer' ) . get_the_time( 'F, Y' );
			elseif ( is_day() ):
				$current_text = __( 'Archive for ', 'photographer' ) . get_the_time( 'F jS, Y' );
			endif;

		endif;
		?>
	</h1>
</section>

<!-- main blog listing -->
<section class="photographer-blog-list uk-width-1-1">
	<?php if ( have_posts() ):
		$counter = 1;
		while ( have_posts() ): the_post();
			?>
			<div class="photographer-blog-list-item">
				<div class="uk-grid uk-grid-collapse">

					<?php if ( $counter % 2 == 0 ): ?>

						<?php get_template_part( PHOTOGRAPHER_TEMPLATE_PARTS . '/home/blog-item-layout-2' ); ?>

					<?php else: ?>

						<?php get_template_part( PHOTOGRAPHER_TEMPLATE_PARTS . '/home/blog-item-layout-1' ); ?>

					<?php endif; ?>

				</div>
			</div> <!-- .photographer-blog-list-item -->

			<?php $counter ++; endwhile; ?>
		<section class="pagination">
			<div class="uk-container uk-container-center padd-tb-20 underline-top">
				<?php echo photographer_default_pagination(); ?>
			</div>

		</section>
		<?php
	else:
		echo '<p>' . __( 'No posts are available', 'photographer' );
	endif; ?>
</section>