<?php
$small_image_url   = get_theme_mod( 'photographer_special-item-small', '' );
$large_image_url   = get_theme_mod( 'photographer_special-item-large', '' );
$heading           = get_theme_mod( 'photographer_special-item-title', '' );
$small_description = get_theme_mod( 'photographer_special-item-description', '' );
$block_url         = get_theme_mod( 'photographer_special-item-link', '' );
if ( have_posts() ):

	while ( have_posts() ):
		the_post();

		the_content(); ?>

		<div class="special-photo-item-container">

			<div class="uk-grid">

				<div class="uk-width-large-2-10 uk-width-small-1-1">
					<?php if ( $small_image_url != '' ): ?>
						<img class="special-photo-item-small-image" src="<?php echo esc_url( $small_image_url ); ?>"/>
					<?php endif; ?>
				</div>

				<div class="uk-width-large-5-10 uk-width-small-1-1">
					<?php if ( $large_image_url != '' ): ?>
						<div class="relative-container">
							<img src="<?php echo esc_url( $large_image_url ); ?>" class="single-featured-image"/>
							<div class="innerbox"></div>
						</div>
					<?php endif; ?>
				</div>


				<div class="uk-width-large-3-10  uk-width-small-1-1">

					<?php if ( $heading != '' ): ?>
						<h3><?php echo sanitize_text_field( $heading ); ?></h3>
					<?php endif; ?>

					<?php if ( $small_description != '' ): ?>
						<p> <?php echo sanitize_text_field( $small_description ); ?></p>
					<?php endif; ?>

					<?php if ( $block_url != '' ): ?>
						<a target="_blank" class="special-photo-item-link" href="<?php echo esc_url( $block_url ); ?>"><span class="icon-right-01"></span></a>
					<?php endif; ?>

				</div>
			</div>


		</div>


	<?php endwhile;

endif;