<?php
/*
* Content for the gallery taxonomy.
 */
$tax      = get_query_var( 'taxonomy' );
$term     = get_query_var( 'term' );
$term_obj = get_term_by( 'slug', $term, $tax );
?>
	<section class="uk-width-1-1">
		<h1 class="single-page-title uk-text-center">
			<?php echo __( 'You are viewing galleries in:', 'photographer' ); ?><?php echo $term_obj->name; ?>
		</h1>
	</section>

	<!-- Main content -->
<?php
$query_a = array(
	'post_type' => 'photographer-gallery',
	'tax_query' => array(
		array(
			'taxonomy' => $tax,
			'field'    => 'slug',
			'terms'    => $term
		)
	)
);
$query   = new WP_Query( $query_a );
if ( $query->have_posts() ): ?>

	<section class="photographer-taxonomy-galleries">
		<div class="uk-grid uk-grid-medium">
			<?php while ( $query->have_posts() ): $query->the_post(); ?>

				<div class="uk-width-large-1-4 uk-width-medium-1-2 uk-width-small-1-1">

					<figure class="snip1156 single-gallery-in-tax">
						<?php
						$thumb_id  = get_post_thumbnail_id( get_the_ID() );
						$thumb_src = wp_get_attachment_image_src( $thumb_id, 'gallery-list-image' );
						?>
						<img src="<?php echo $thumb_src[0]; ?>" alt=""/>
						<figcaption>
							<div>
								<h2><?php the_title(); ?> </h2>
							</div>
							<?php 	if(photographer_has_gallery_desc()): ?>
							<div>
								<p><?php echo 	photographer_get_gallery_desc(); ?></p>
							</div>
							<?php endif; ?>
						</figcaption>
						<a href="<?php the_permalink(); ?>" title="<?php echo __('View Gallery','photographer'); ?>"></a>
					</figure>

				</div>


			<?php endwhile; ?>
		</div> <!-- uk-grid-medium -->
	</section>
<?php else: ?>
	<p><?php echo __( 'There are not any galleries available', 'photographer' ); ?></p>
<?php endif;
wp_reset_postdata();// if have_posts ends here..


