<?php
/*
 * Theme functions for this theme specifically. Be cautious
 */
/*
 # General Functions
 ### Functions for the theme general
*/

if ( ! function_exists( 'photographer_get_index_title' ) ):
	function photographer_get_index_title() {
		$id = get_queried_object_id();

		$title = get_the_title( $id );

		if ( $title == '' ):
			return __( 'BLOG', 'photographer' );
		else:
			return $title;
		endif;
	}
endif;

/*
 * Check if has header text
 */

if(!function_exists('photographer_get_header_text')): 
	function photographer_get_header_text(){
		$text = get_theme_mod('photographer_header-image-text','');

		if(!empty($text)): return $text; else: return ''; endif;
	}
endif;

/*
 * Customizing the excerpt
 */
// Replaces the excerpt "more" text by a link
function new_excerpt_more( $more ) {
	global $post;

	return '...';
}

add_filter( 'excerpt_more', 'new_excerpt_more' );

function photographer_strip_shortcode_gallery( $content ) {

	if ( is_singular( 'photographer-gallery' ) ):

		preg_match_all( '/' . get_shortcode_regex() . '/s', $content, $matches, PREG_SET_ORDER );

		if ( ! empty( $matches ) ) {
			foreach ( $matches as $shortcode ) {
				if ( 'gallery' === $shortcode[2] ) {
					$pos = strpos( $content, $shortcode[0] );
					if ( false !== $pos ) {
						return substr_replace( $content, '', $pos, strlen( $shortcode[0] ) );
					}
				}
			}
		}
	endif;

	return $content;
}

add_filter( 'the_content', 'photographer_strip_shortcode_gallery' );
